package com.qmth.boot.api.config;

import org.springframework.boot.actuate.autoconfigure.endpoint.web.WebEndpointProperties;
import org.springframework.boot.actuate.autoconfigure.health.HealthEndpointProperties;
import org.springframework.boot.actuate.autoconfigure.health.HealthProperties;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

import java.util.Arrays;
import java.util.HashSet;

@Configuration
@ComponentScan("com.qmth.boot.api")
public class ApiAutoConfiguration {

    public ApiAutoConfiguration(WebEndpointProperties webEndpointProperties,
            HealthEndpointProperties healthEndpointProperties, ApiProperties apiProperties) {
        webEndpointProperties.getExposure()
                .setInclude(new HashSet<>(Arrays.asList(apiProperties.getActuator().getEndpoint())));
        healthEndpointProperties.setShowDetails(HealthProperties.Show.ALWAYS);
    }
}
